Name:           ansible-lint
Version:        4.3.7
Release:        %mkrel 1
Summary:        Best practices checker for Ansible
Group:          Development/Tools
License:        MIT
URL:            https://github.com/willthames/ansible-lint
Source0:        https://github.com/willthames/ansible-lint/archive/v%{version}/%{name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  ansible
BuildRequires:  python3-devel
BuildRequires:  python3dist(ruamel.yaml)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(setuptools-scm)
BuildRequires:  python3dist(setuptools-scm-git-archive)
BuildRequires:  python3dist(pyyaml)

%description
ansible-lint checks playbooks for practices and behaviour that
could potentially be improved.

%prep
%autosetup -p1 -n %{name}-%{version}

%build
%py3_build

%install
%py3_install

%files
%doc CHANGELOG.rst README.rst LICENSE
%{_bindir}/%{name}
%{python3_sitelib}/ansiblelint
%{python3_sitelib}/ansible_lint-*-py3.*.egg-info


%changelog
* Fri Nov 06 2020 guillomovitch <guillomovitch> 4.3.7-1.mga8
+ Revision: 1643029
- new version 4.3.7

* Mon Nov 02 2020 guillomovitch <guillomovitch> 4.3.6-1.mga8
+ Revision: 1641737
- new version 4.3.6

* Mon Oct 12 2020 neoclust <neoclust> 4.3.5-2.mga8
+ Revision: 1633961
- Fix file list

* Mon Sep 21 2020 guillomovitch <guillomovitch> 4.3.5-1.mga8
+ Revision: 1629134
- new version 4.3.5

* Thu Sep 03 2020 guillomovitch <guillomovitch> 4.3.4-1.mga8
+ Revision: 1621396
- new version 4.3.4

* Mon Aug 31 2020 guillomovitch <guillomovitch> 4.3.3-1.mga8
+ Revision: 1620492
- new version 4.3.3

* Mon Aug 24 2020 guillomovitch <guillomovitch> 4.3.1-1.mga8
+ Revision: 1618650
- new version 4.3.1

* Sun Feb 16 2020 daviddavid <daviddavid> 4.2.0-1.mga8
+ Revision: 1532418
- new version: 4.2.0
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Sat Sep 14 2019 daviddavid <daviddavid> 4.1.0-2.mga8
+ Revision: 1440717
- rebuild for python3.8

* Thu Feb 14 2019 guillomovitch <guillomovitch> 4.1.0-1.mga7
+ Revision: 1366915
- new version 4.1.0

* Sat Jan 26 2019 guillomovitch <guillomovitch> 4.0.1-1.mga7
+ Revision: 1361002
- new version 4.0.1
- switch to python3

* Thu Sep 20 2018 umeabot <umeabot> 3.4.23-2.mga7
+ Revision: 1277605
- Mageia 7 Mass Rebuild

* Mon Aug 20 2018 guillomovitch <guillomovitch> 3.4.23-1.mga7
+ Revision: 1253151
- new version 3.4.23

* Sat Sep 30 2017 guillomovitch <guillomovitch> 3.4.16-1.mga7
+ Revision: 1161868
- new version 3.4.16

* Wed Sep 13 2017 guillomovitch <guillomovitch> 3.4.15-1.mga7
+ Revision: 1153594
- imported package ansible-lint

